Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.spacesPersonalization
Class DirectorySharingProperties

    java.lang.Object
      org.esupportail.portal.channels.CStockage.spacesPersonalization.DirectorySharingProperties

public class DirectorySharingProperties
extends java.lang.Object

Id: DirectorySharingProperties,v 1.0 6 janv. 2005 Copyright (c) 2005 Esup Portail (www.esup-portail.org) Classes: DirectorySharingProperties Original Author: Yohan Colmant This object represents the sharing properties of a directory

Field Summary
`private java.lang.String` | `directoryName` The directory full name
`private java.util.Hashtable` | `groups` The groups to who we share the directory
`private java.util.Hashtable` | `users` The users to who we share the directory

Constructor Summary
`DirectorySharingProperties(java.lang.String directoryName)` Constructor

Method Summary
`java.lang.Object` | `clone()` Clone this object to another similary one
`boolean` | `equals(java.lang.Object o)` Compare this object to another one
`java.util.Hashtable` | `getGroups()`
`java.util.Hashtable` | `getUsers()`
`java.lang.StringBuffer` | `getXml(java.lang.String label)` Get an xml form from this sharing properties
`boolean` | `isSharingActive()`
`void` | `setDirectoryName(java.lang.String directoryName)`
`void` | `setGroups(java.util.Hashtable groups)`
`void` | `setUsers(java.util.Hashtable users)`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### directoryName

    private java.lang.String directoryName

  The directory full name

### users

    private java.util.Hashtable users

  The users to who we share the directory

### groups

    private java.util.Hashtable groups

  The groups to who we share the directory

Constructor Detail

### DirectorySharingProperties

    public DirectorySharingProperties(java.lang.String directoryName)

  Constructor

Parameters:
  `directoryName` - the current directory name

Method Detail

### clone

    public java.lang.Object clone()

  Clone this object to another similary one

  Returns:
    this cloned object

### setDirectoryName

    public void setDirectoryName(java.lang.String directoryName)

  Parameters:
    `directoryName` - The directoryName to set.

### isSharingActive

    public boolean isSharingActive()

  Returns:
    Returns the isShared.

### getGroups

    public java.util.Hashtable getGroups()

  Returns:
    Returns the groups.

### setGroups

    public void setGroups(java.util.Hashtable groups)

  Parameters:
    `groups` - The groups to set.

### getUsers

    public java.util.Hashtable getUsers()

  Returns:
    Returns the users.

### setUsers

    public void setUsers(java.util.Hashtable users)

  Parameters:
    `users` - The users to set.

### getXml

    public java.lang.StringBuffer getXml(java.lang.String label)

  Get an xml form from this sharing properties

  Returns:
    an xml form from this sharing properties

### equals

    public boolean equals(java.lang.Object o)

  Compare this object to another one

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD